window.addEventListener('load', () => {
    uzupelnijrok();
    fotoviewe();

})
function uzupelnijrok(){
    var options='';
    const startYear = 2011;
const currentYear = new Date().getFullYear();

for (let year = startYear; year <= currentYear; year++) {
  console.log(year);
  options=options+'<option value='+year+'>'+year+'</option>';
}
var adresurl=window.location.href;
var selc='';
if(adresurl.includes('en-us')){
selc='<span class="rok-sp">YEAR</span><select><option value="" placeholder="wybierz">ALL</option>';
}else{
  selc='<span class="rok-sp">ROK</span><select><option value="" placeholder="wybierz">ALL</option>';  
}

     document.querySelector('.arbo-rok').innerHTML=selc+options+'</select>';
}

function fotoviewe(){
    var zdj='';
       document.querySelector('.arbo-szukaj').addEventListener('click', () => {
        try{
            document.querySelector('.fotoox').remove();
        }catch(error){}
       
        document.querySelector('.fotexs').innerHTML='';
        zdj='';
         var rok=  document.querySelector('.arbo-rok select ').value;

         var miesiac=  document.querySelector('.arbo-miesiac select ').value;
// Pobierz obecny URL
let current_url = window.location.href;

// Sprawdź, czy URL zawiera 'en-us'
if (current_url.includes('en-us')) {
    // Angielskie nazwy miesięcy
    if (miesiac == 'January') {
        miesiac = '01';
    } else if (miesiac == 'February') {
        miesiac = '02';
    } else if (miesiac == 'March') {
        miesiac = '03';
    } else if (miesiac == 'April') {
        miesiac = '04';
    } else if (miesiac == 'May') {
        miesiac = '05';
    } else if (miesiac == 'June') {
        miesiac = '06';
    } else if (miesiac == 'July') {
        miesiac = '07';
    } else if (miesiac == 'August') {
        miesiac = '08';
    } else if (miesiac == 'September') {
        miesiac = '09';
    } else if (miesiac == 'October') {
        miesiac = '10';
    } else if (miesiac == 'November') {
        miesiac = '11';
    } else if (miesiac == 'December') {
        miesiac = '12';
    }
} else {
    // Polskie nazwy miesięcy
    if (miesiac == 'Styczeń') {
        miesiac = '01';
    } else if (miesiac == 'Luty') {
        miesiac = '02';
    } else if (miesiac == 'Marzec') {
        miesiac = '03';
    } else if (miesiac == 'Kwiecień') {
        miesiac = '04';
    } else if (miesiac == 'Maj') {
        miesiac = '05';
    } else if (miesiac == 'Czerwiec') {
        miesiac = '06';
    } else if (miesiac == 'Lipiec') {
        miesiac = '07';
    } else if (miesiac == 'Sierpień') {
        miesiac = '08';
    } else if (miesiac == 'Wrzesień') {
        miesiac = '09';
    } else if (miesiac == 'Październik') {
        miesiac = '10';
    } else if (miesiac == 'Listopad') {
        miesiac = '11';
    } else if (miesiac == 'Grudzień') {
        miesiac = '12';
    }
}



    console.log(rok);
        document.querySelectorAll('.grid-arboretumfotoaktualnosci .com-content-article__body tr td:first-child').forEach(dates => {
            var datazdjecia=dates.innerHTML.replace('/images/Arboretum/fotoaktualnosci/','').substring(0,10);
            var zrok=dates.innerHTML.replace('/images/Arboretum/fotoaktualnosci/','').substring(0,4);
            var zmiesiac=dates.innerHTML.replace('/images/Arboretum/fotoaktualnosci/','').substring(5,7);
            
                     
                //     zdj=zdj+'<div><img src="'+dates.innerHTML+'" alt="'+dates.closest('tr').children[1].innerHTML+'"></div>';
                 //    zdj=zdj+'<div><img src="'+dates.innerHTML+'" alt="'+zrok+'_'+zmiesiac+'"></div>';
                
          if(miesiac==zmiesiac && rok==zrok){
                 
          //  zdj=zdj+'<div data-lightbox="my-gallery"><img src="'+dates.innerHTML+'" alt="'+dates.closest('tr').children[1].innerHTML+'"></div>';
              
            zdj=zdj+  '<a href="'+dates.innerHTML+'" data-lightbox="my-gallery"  data-title="'+datazdjecia+'<br>'+dates.closest('tr').children[1].innerHTML+'"><img title="'+dates.closest('tr').children[1].innerHTML+'"  alt="'+dates.closest('tr').children[1].innerHTML+'" src="'+dates.innerHTML+'"></a>';

          }
          if(miesiac.length==0 && rok.length==0) {
       //     zdj=zdj+'<div data-lightbox="my-gallery"><img src="'+dates.innerHTML+'" alt="'+dates.closest('tr').children[1].innerHTML+'"></div>';
       zdj=zdj+  '<a href="'+dates.innerHTML+'" data-lightbox="my-gallery" data-title="'+datazdjecia+'<br>'+dates.closest('tr').children[1].innerHTML+'"><img title="'+dates.closest('tr').children[1].innerHTML+'"  alt="'+dates.closest('tr').children[1].innerHTML+'" src="'+dates.innerHTML+'"></a>';

          } 
           if(rok==zrok && miesiac.length==0 ){
            console.log(rok+'rok rowna sie rok');
        //    zdj=zdj+'<div data-lightbox="my-gallery"><img src="'+dates.innerHTML+'" alt="'+dates.closest('tr').children[1].innerHTML+'"></div>';
        zdj=zdj+  '<a href="'+dates.innerHTML+'" data-lightbox="my-gallery"  data-title="'+datazdjecia+'<br>'+dates.closest('tr').children[1].innerHTML+'"><img title="'+dates.closest('tr').children[1].innerHTML+'"  alt="'+dates.closest('tr').children[1].innerHTML+'" src="'+dates.innerHTML+'"></a>';

          }
          if(miesiac==zmiesiac && rok.length==0 ){
           
          //  zdj=zdj+'<div data-lightbox="my-gallery"><img src="'+dates.innerHTML+'" alt="'+dates.closest('tr').children[1].innerHTML+'"></div>';
          zdj=zdj+  '<a href="'+dates.innerHTML+'" data-lightbox="my-gallery" data-title="'+datazdjecia+'<br>'+dates.closest('tr').children[1].innerHTML+'"><img title="'+dates.closest('tr').children[1].innerHTML+'"     alt="'+dates.closest('tr').children[1].innerHTML+'" src="'+dates.innerHTML+'"></a>';

          }
          
        


        });
        document.querySelector('.fotexs').innerHTML=zdj;
       })
}

